Orders
Submit an uploaded proof of payment for a settlement
Attaches the uploaded payment confirmation to the order settlement when requirements.proofOfPayment=true and starts funding confirmation. Once the transfer is confirmed the order moves to funds_received and an order.funds_received webhook is sent. Re-submitting after confirmation has started is a no-op.
POST
/
v1
/
orders
/
{id}
/
settlement
/
proof
Submit an uploaded proof of payment for a settlement
curl --request POST \
--url https://api.example.com/v1/orders/{id}/settlement/proof \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"proofKey": "order-settlements/1c9e.../proof-8af2..."
}
'import requests
url = "https://api.example.com/v1/orders/{id}/settlement/proof"
payload = { "proofKey": "order-settlements/1c9e.../proof-8af2..." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({proofKey: 'order-settlements/1c9e.../proof-8af2...'})
};
fetch('https://api.example.com/v1/orders/{id}/settlement/proof', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"settlementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "BAD_REQUEST",
"message": "Bad Request",
"path": "/v1/beneficiaries",
"statusCode": 400,
"timestamp": "2024-01-15T10:30:00.000Z"
}{
"error": "BAD_REQUEST",
"message": "Bad Request",
"path": "/v1/beneficiaries",
"statusCode": 400,
"timestamp": "2024-01-15T10:30:00.000Z"
}{
"error": "BAD_REQUEST",
"message": "Bad Request",
"path": "/v1/beneficiaries",
"statusCode": 400,
"timestamp": "2024-01-15T10:30:00.000Z"
}{
"error": "BAD_REQUEST",
"message": "Bad Request",
"path": "/v1/beneficiaries",
"statusCode": 400,
"timestamp": "2024-01-15T10:30:00.000Z"
}Authorizations
Enter Auth0 JWT token
Path Parameters
Order id
Body
application/json
The key returned by the upload-URL endpoint
Example:
"order-settlements/1c9e.../proof-8af2..."
Response
Previous
List all webhook endpointsDeprecated: use GET /v2/webhooks for bounded opaque cursor pagination.
Next
⌘I
Submit an uploaded proof of payment for a settlement
